<template>
  <b-row>
    <b-col xs="12" md="6" lg="4" v-for="({ id, doctor, pacient, date, hour, observation }) in list" :key="id">
      <appointment-grid-item 
        :id="id"
        :doctor="doctor"
        :pacient="pacient"
        :date="date"
        :hour="hour"
        :observation="observation"
      />
    </b-col>
  </b-row>
</template>

<script>
import AppointmentGridItem from './AppointmentGridItem'
export default {
  props: {
    list: {
      type: Array,
      required: true
    }
  },

  components: {
    AppointmentGridItem
  },
}
</script>

<style>

</style>